ListFindings
Lists the security findings for a pentest job.
Request Syntax
POST /ListFindings HTTP/1.1
Content-type: application/json
{
"agentSpaceId": "string",
"confidence": "string",
"maxResults": number,
"name": "string",
"nextToken": "string",
"pentestJobId": "string",
"riskLevel": "string",
"riskType": "string",
"status": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- agentSpaceId
-
The unique identifier of the agent space.
Type: String
Required: Yes
- confidence
-
Filter findings by confidence level.
Type: String
Valid Values:
FALSE_POSITIVE | UNCONFIRMED | LOW | MEDIUM | HIGHRequired: No
- maxResults
-
The maximum number of results to return in a single call.
Type: Integer
Required: No
- name
-
Filter findings by name.
Type: String
Required: No
- nextToken
-
A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.
Type: String
Required: No
- pentestJobId
-
The unique identifier of the pentest job to list findings for.
Type: String
Required: Yes
- riskLevel
-
Filter findings by risk level.
Type: String
Valid Values:
UNKNOWN | INFORMATIONAL | LOW | MEDIUM | HIGH | CRITICALRequired: No
- riskType
-
Filter findings by risk type.
Type: String
Required: No
- status
-
Filter findings by status.
Type: String
Valid Values:
ACTIVE | RESOLVED | ACCEPTED | FALSE_POSITIVERequired: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"findingsSummaries": [
{
"agentSpaceId": "string",
"confidence": "string",
"createdAt": "string",
"findingId": "string",
"name": "string",
"pentestId": "string",
"pentestJobId": "string",
"riskLevel": "string",
"riskType": "string",
"status": "string",
"updatedAt": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- findingsSummaries
-
The list of finding summaries.
Type: Array of FindingSummary objects
- nextToken
-
A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: